package aktrs.messages;

import java.io.Serializable;

import aktrs.rt.ActorAddress;

public class AverageProcessingTimeByClassResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	public Double averageProcessingTime;
	public ActorAddress profiledActorAddress;
	public Class<?> klass;

	public AverageProcessingTimeByClassResponse() {
	}

	public static AverageProcessingTimeByClassResponse create(Double averageProcessingTime, ActorAddress profiledActorAddress, Class<?> klass) {
		AverageProcessingTimeByClassResponse av = new AverageProcessingTimeByClassResponse();
		av.klass = klass;
		av.profiledActorAddress = profiledActorAddress;
		av.averageProcessingTime = averageProcessingTime;
		return av;
	}

}
