package aktrs.messages;

import java.io.Serializable;

public class Stop implements Serializable {

	private static final long serialVersionUID = 1L;

	public String reason;

	public Stop() {
	}

	public static Stop create(String reason) {
		Stop s = new Stop();
		s.reason = reason;
		return s;
	}

	public static Stop create(Throwable t) {
		return create(t.getMessage());
	}

	@Override
	public String toString() {
		return new StringBuilder().append("stop:{").append(reason).append("}").toString();
	}
}
