package aktrs.test.local;

import java.math.BigInteger;

import aktrs.rt.Actor;

public class GatherActor extends Actor {

	private int numberOrWorkers;
	private int processedWorkers;
	private BigInteger sumOfFibonacci = BigInteger.ZERO;

	public GatherActor() {
	}

	@Override
	protected void onMessage(Object message, Actor sender) {
		if (message instanceof StartScatterGather) {
			StartScatterGather m = (StartScatterGather) message;
			this.numberOrWorkers = m.numberoOfWorkers;
			processedWorkers = 0;
		} else if (message instanceof ResultFibonacciMessage) {
			ResultFibonacciMessage m = (ResultFibonacciMessage) message;
			sumOfFibonacci = sumOfFibonacci.add(m.number);
			processedWorkers++;
			if (processedWorkers == numberOrWorkers) {
				System.out.println("Sum of Fibonacci: " + sumOfFibonacci);
				getSystem().shutdown("Scatter-gather completed");
			}
		}
	}
}
