package aktrs.messages;

import java.io.Serializable;

import aktrs.rt.ActorAddress;

public class AverageProcessingTimeByClassRequest implements Serializable {
	private static final long serialVersionUID = 1L;

	public Class<?> klass;
	public ActorAddress replyTo;

	public AverageProcessingTimeByClassRequest() {
	}

	public static AverageProcessingTimeByClassRequest create(ActorAddress replyTo, Class<?> klass) {
		AverageProcessingTimeByClassRequest av = new AverageProcessingTimeByClassRequest();
		av.klass = klass;
		av.replyTo = replyTo;
		return av;
	}
}
