package aktrs.messages;

import java.io.Serializable;

import aktrs.rt.ActorAddress;

public class AverageProcessingTimeResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	public Double averageProcessingTime;
	public ActorAddress profiledActorAddress;

	public AverageProcessingTimeResponse() {
	}

	public static AverageProcessingTimeResponse create(Double averageProcessingTime, ActorAddress profiledActorAddress) {
		AverageProcessingTimeResponse av = new AverageProcessingTimeResponse();
		av.profiledActorAddress = profiledActorAddress;
		av.averageProcessingTime = averageProcessingTime;
		return av;
	}

}
