package aktrs.messages;

import java.io.Serializable;

import aktrs.rt.Actor;
import aktrs.rt.ActorAddress;

public class RemoteMessage implements Serializable {
	private static final long serialVersionUID = 1L;

	public ActorAddress recipientAddress;
	public Class<? extends Actor> senderClass;
	public ActorAddress senderAddress;
	public int remoteReplyPort;
	public Serializable message;

	public RemoteMessage() {
	}

	@Override
	public String toString() {
		return new StringBuilder().append("RemoteMessage to: {").append(recipientAddress.toString()).append("}, from: {").append(senderAddress)
				.append("}, what: {").append(message.toString()).append("}").toString();
	}
}
