package aktrs.messages;

import java.io.Serializable;

public class RemoteResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	public enum Result implements Serializable {
		OK, ERROR
	}

	public Result result;
	public String description;

	public RemoteResponse() {
	}

	@Override
	public String toString() {
		return new StringBuilder().append("Result: {").append(result.toString()).append("} Description: ").append(description).toString();
	}
}
