package aktrs.test.remote;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.logging.Level;

import aktrs.rt.Actor;
import aktrs.rt.ActorSystem;

/**
 * Remote dissolve test
 */
public class Test3_Remote1 {

	public static void main(String[] args) throws UnknownHostException {
		ActorSystem system = new ActorSystem("requester-sys", 9001);
		system.setLogLevel(Level.FINE);
		system.link("remote-sys", InetAddress.getLocalHost(), 9002);

		Actor remoteActor = system.summon("/remote-sys/remote-actor", Actor.class);
		system.dissolve(remoteActor);
	}

}
